FIX::Responder Class Referenceabstract

Interface implements sending on and disconnecting a transport. More...

`#include <Responder.h>`

Inheritance diagram for FIX::Responder:
[legend]

## Public Member Functions

virtual | ~Responder ()
virtual bool | send (const std::string &)=0
virtual void | disconnect ()=0

## Detailed Description

Interface implements sending on and disconnecting a transport.

Definition at line 51 of file Responder.h.

## Constructor & Destructor Documentation

## ~Responder()

virtual FIX::Responder::~Responder | ( |  | ) |

inline virtual

Definition at line 71 of file Responder.h.

## Member Function Documentation

## disconnect()

virtual void FIX::Responder::disconnect | ( |  | ) |

pure virtual

Implemented in FIX::SocketConnection, and FIX::ThreadedSocketConnection.

## send()

virtual bool FIX::Responder::send | ( | const std::string & |  | ) |

pure virtual

Implemented in FIX::SocketConnection, and FIX::ThreadedSocketConnection.

The documentation for this class was generated from the following file:

- Responder.h